Mir

[ FAILED ] NestedServer.*_cursor_* (usually NestedServer.named_cursor_image_changes_are_forwarded_to_host)

Bug #1523621 reported by Alan Griffiths on 2015-12-07
58
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Mir
Triaged
High
Unassigned
mir (Ubuntu)
High
Alan Griffiths

Bug Description

while bin/mir_acceptance_tests --gtest_filter=NestedServer.named_cursor_image_changes_are_forwarded_to_host; do :; done

fails after a few hundred iterations.

NB There two are other tests that are probably manifesting the same underlying issue:

NestedServer.can_hide_the_host_cursor
NestedServer.animated_cursor_image_changes_are_forwarded_to_host

Related branches

Daniel van Vugt (vanvugt) wrote :

I can't reproduce it but maybe I'm (un)lucky...

bin/mir_acceptance_tests --gtest_filter=NestedServer.named_cursor_image_changes_are_forwarded_to_host --gtest_repeat=10000 |& grep FAIL

tags: added: testsfail
Alan Griffiths (alan-griffiths) wrote :

Maybe just bad at following the "how to reproduce" instructions?

Daniel van Vugt (vanvugt) wrote :

Tried that too, but no failures.

Alan Griffiths (alan-griffiths) wrote :

Your way fails too:

$ bin/mir_acceptance_tests --gtest_filter=NestedServer.named_cursor_image_changes_are_forwarded_to_host --gtest_repeat=10000 |& grep FAIL
[ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (1039 ms)
[ FAILED ] 1 test, listed below:
[ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host
 1 FAILED TEST
[ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (1040 ms)
[ FAILED ] 1 test, listed below:
[ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host
 1 FAILED TEST
[ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (1036 ms)
[ FAILED ] 1 test, listed below:
[ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host
 1 FAILED TEST
[ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (1048 ms)
[ FAILED ] 1 test, listed below:
[ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host
 1 FAILED TEST

description: updated
Daniel van Vugt (vanvugt) wrote :
summary: - There's something racy about
- NestedServer.named_cursor_image_changes_are_forwarded_to_host
+ [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host
Changed in mir:
importance: Undecided → Medium
status: New → Confirmed
Changed in mir:
importance: Medium → High
tags: added: cursor nested
Changed in mir:
assignee: nobody → Alan Griffiths (alan-griffiths)

The problem is in the setup of these tests. The host giving input focus onto the nested surface "Mir nested display for output #1" is racing with the test execution.

Have linked a (somewhat unsatisfactory) workaround branch.

summary: - [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host
+ [ FAILED ] NestedServer.*_cursor_*
Changed in mir:
milestone: none → 0.19.0
status: Confirmed → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.19.0

Changed in mir:
status: In Progress → Fix Committed
Alan Griffiths (alan-griffiths) wrote :

We landed a dodgy workaround, not a proper fix, so keeping this open (with a lower priority).

Changed in mir:
status: Fix Committed → Triaged
importance: High → Medium
Changed in mir:
milestone: 0.19.0 → 0.20.0
Changed in mir:
milestone: 0.20.0 → none
Alberto Aguirre (albaguirre) wrote :

Saw this in a CI run:

16:59:01 11: [ RUN ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host
16:59:01 11: [2016-02-24 16:59:01.589078] mirserver: Starting
16:59:01 11: [2016-02-24 16:59:01.590770] mirserver: Selected driver: dummy (version 0.20.0)
16:59:01 11: [2016-02-24 16:59:01.678050] mirserver: Using software cursor
16:59:01 11: [2016-02-24 16:59:01.683020] mirserver: Selected input driver: mir:stub-input (version: 0.20.0)
16:59:01 11: [2016-02-24 16:59:01.683996] mirserver: Mir version 0.20.0
16:59:01 11: [2016-02-24 16:59:01.746235] mirserver: Starting
16:59:01 11: [2016-02-24 16:59:01.768647] mirserver: Using nested cursor
16:59:02 11: [2016-02-24 16:59:02.320372] mirserver: Initial display configuration:
16:59:02 11: [2016-02-24 16:59:02.322731] mirserver: 1.1: VGA 0.0" 0x0mm
16:59:02 11: [2016-02-24 16:59:02.323031] mirserver: Current mode 640x480 60.00Hz
16:59:02 11: [2016-02-24 16:59:02.323207] mirserver: Preferred mode 640x480 60.00Hz
16:59:02 11: [2016-02-24 16:59:02.323349] mirserver: Logical position +0+0
16:59:02 11: [2016-02-24 16:59:02.324142] mirserver: 1.2: VGA 0.0" 0x0mm
16:59:02 11: [2016-02-24 16:59:02.324315] mirserver: Current mode 1920x1080 60.00Hz
16:59:02 11: [2016-02-24 16:59:02.324474] mirserver: Preferred mode 1920x1080 60.00Hz
16:59:02 11: [2016-02-24 16:59:02.324608] mirserver: Logical position +640+0
16:59:02 11: [2016-02-24 16:59:02.330833] mirserver: Mir version 0.20.0
16:59:03 11: /��BUILDDIR��/mir-0.20.0+16.04.20160219+xenial192bzr3333/tests/acceptance-tests/test_nested_mir.cpp:736: Failure
16:59:03 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
16:59:03 11: Expected: to be called once
16:59:03 11: Actual: never called - unsatisfied and active
16:59:04 11: [2016-02-24 16:59:04.113947] mirserver: Stopping
16:59:04 11: [2016-02-24 16:59:04.174342] mirserver: Stopping
16:59:04 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (2722 ms)

And again today:

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial/286/consoleFull

11:15:10 11: [ RUN ] NestedServer.named_cursor_image_changes_are_forwarded_to_host
11:15:10 11: [2016-03-01 11:15:10.075145] mirserver: Starting
11:15:10 11: [2016-03-01 11:15:10.077502] mirserver: Selected driver: dummy (version 0.20.0)
11:15:10 11: [2016-03-01 11:15:10.115110] mirserver: Using software cursor
11:15:10 11: [2016-03-01 11:15:10.121883] mirserver: Selected input driver: mir:stub-input (version: 0.20.0)
11:15:10 11: [2016-03-01 11:15:10.124324] mirserver: Mir version 0.20.0
11:15:10 11: [2016-03-01 11:15:10.151243] mirserver: Starting
11:15:10 11: [2016-03-01 11:15:10.171201] mirserver: Using nested cursor
11:15:10 11: [2016-03-01 11:15:10.762160] mirserver: Initial display configuration:
11:15:10 11: [2016-03-01 11:15:10.763225] mirserver: 1.1: VGA 0.0" 0x0mm
11:15:10 11: [2016-03-01 11:15:10.763478] mirserver: Current mode 640x480 60.00Hz
11:15:10 11: [2016-03-01 11:15:10.763698] mirserver: Preferred mode 640x480 60.00Hz
11:15:10 11: [2016-03-01 11:15:10.763880] mirserver: Logical position +0+0
11:15:10 11: [2016-03-01 11:15:10.764596] mirserver: 1.2: VGA 0.0" 0x0mm
11:15:10 11: [2016-03-01 11:15:10.764812] mirserver: Current mode 1920x1080 60.00Hz
11:15:10 11: [2016-03-01 11:15:10.765060] mirserver: Preferred mode 1920x1080 60.00Hz
11:15:10 11: [2016-03-01 11:15:10.765234] mirserver: Logical position +640+0
11:15:10 11: [2016-03-01 11:15:10.784301] mirserver: Mir version 0.20.0
11:15:12 11: /��BUILDDIR��/mir-0.20.1+16.04.20160225.1+xenial294bzr3355/tests/acceptance-tests/test_nested_mir.cpp:777: Failure
11:15:12 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
11:15:12 11: Expected: to be called once
11:15:12 11: Actual: never called - unsatisfied and active
11:15:12 11: [2016-03-01 11:15:12.727484] mirserver: Stopping
11:15:12 11: [2016-03-01 11:15:12.829178] mirserver: Stopping
11:15:12 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (2858 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/1062/consoleFull

12:07:34 9: [ RUN ] NestedServer.named_cursor_image_changes_are_forwarded_to_host
12:07:34 9: [2016-05-11 12:07:34.587984] mirserver: Starting
12:07:34 9: [2016-05-11 12:07:34.590682] mirserver: Selected driver: dummy (version 0.23.0)
12:07:34 9: [2016-05-11 12:07:34.615918] mirserver: Using software cursor
12:07:34 9: [2016-05-11 12:07:34.631264] mirserver: Selected input driver: mir:stub-input (version: 0.23.0)
12:07:34 9: [2016-05-11 12:07:34.632871] mirserver: Mir version 0.23.0
12:07:34 9: [2016-05-11 12:07:34.657022] mirserver: Starting
12:07:34 9: [2016-05-11 12:07:34.678047] mirserver: Using nested cursor
12:07:35 9: [2016-05-11 12:07:35.192078] mirserver: Initial display configuration:
12:07:35 9: [2016-05-11 12:07:35.192705] mirserver: 1.1: VGA 0.0" 0x0mm
12:07:35 9: [2016-05-11 12:07:35.192959] mirserver: Current mode 640x480 60.00Hz
12:07:35 9: [2016-05-11 12:07:35.193174] mirserver: Preferred mode 640x480 60.00Hz
12:07:35 9: [2016-05-11 12:07:35.193365] mirserver: Logical position +0+0
12:07:35 9: [2016-05-11 12:07:35.193743] mirserver: 1.2: VGA 0.0" 0x0mm
12:07:35 9: [2016-05-11 12:07:35.193961] mirserver: Current mode 1920x1080 60.00Hz
12:07:35 9: [2016-05-11 12:07:35.194170] mirserver: Preferred mode 1920x1080 60.00Hz
12:07:35 9: [2016-05-11 12:07:35.194358] mirserver: Logical position +640+0
12:07:35 9: [2016-05-11 12:07:35.206178] mirserver: Mir version 0.23.0
12:07:36 9: /��BUILDDIR��/mir-0.23.0+vivid1090bzr3486/tests/acceptance-tests/test_nested_mir.cpp:782: Failure
12:07:36 9: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
12:07:36 9: Expected: to be called once
12:07:36 9: Actual: never called - unsatisfied and active
12:07:36 9: [2016-05-11 12:07:36.830184] mirserver: Stopping
12:07:37 9: [2016-05-11 12:07:36.999274] mirserver: Stopping
12:07:37 9: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (2468 ms)

Changed in mir:
status: Triaged → In Progress
Changed in mir:
status: In Progress → Triaged
Daniel van Vugt (vanvugt) wrote :

And again today:

09:32:55 [ RUN ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host
09:32:55 [2016-08-04 09:29:41.931680] mirserver: Starting
09:32:55 [2016-08-04 09:29:41.936292] mirserver: Selected driver: mir:stub-graphics (version 0.25.0)
09:32:55 [2016-08-04 09:29:41.955079] mirserver: Using software cursor
09:32:55 [2016-08-04 09:29:42.036712] mirserver: Selected input driver: mir:stub-input (version: 0.25.0)
09:32:55 [2016-08-04 09:29:42.039085] mirserver: Mir version 0.25.0
09:32:55 [2016-08-04 09:29:42.065402] mirserver: Starting
09:32:55 [2016-08-04 09:29:42.186923] mirserver: Using nested cursor
09:32:55 [2016-08-04 09:29:42.313538] mirserver: Initial display configuration:
09:32:55 [2016-08-04 09:29:42.320418] mirserver: 1.1: VGA 0.0" 0x0mm
09:32:55 [2016-08-04 09:29:42.321905] mirserver: Current mode 640x480 60.00Hz
09:32:55 [2016-08-04 09:29:42.322273] mirserver: Preferred mode 640x480 60.00Hz
09:32:55 [2016-08-04 09:29:42.322519] mirserver: Logical position +0+0
09:32:55 [2016-08-04 09:29:42.323007] mirserver: 1.2: VGA 0.0" 0x0mm
09:32:55 [2016-08-04 09:29:42.323192] mirserver: Current mode 1920x1080 60.00Hz
09:32:55 [2016-08-04 09:29:42.323367] mirserver: Preferred mode 1920x1080 60.00Hz
09:32:55 [2016-08-04 09:29:42.323518] mirserver: Logical position +640+0
09:32:55 [2016-08-04 09:29:42.353763] mirserver: Mir version 0.25.0
09:32:55 /��BUILDDIR��/mir-0.24.0+xenial1739bzr3632/tests/acceptance-tests/test_nested_mir.cpp:915: Failure
09:32:55 Mock function called more times than expected - returning directly.
09:32:55 Function call: show(@0xa77d444 4-byte object <2C-F4 54-04>)
09:32:55 Expected: to be called once
09:32:55 Actual: called twice - over-saturated and active
09:32:55 [2016-08-04 09:29:42.967202] mirserver: Stopping
09:32:55 [2016-08-04 09:29:43.079256] mirserver: Stopping
09:32:55 [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (1223 ms)

[https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/1715/consoleFull]

08:00:22 9: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (1358 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-
mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/1762/consoleFull

Daniel van Vugt (vanvugt) wrote :
Download full text (4.1 KiB)

Again, and again...

03:43:39 13: [ RUN ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host
03:43:39 13: [2016-08-17 03:43:39.312442] mirserver: Starting
03:43:39 13: [2016-08-17 03:43:39.319363] mirserver: Selected driver: mir:stub-graphics (version 0.25.0)
03:43:39 13: [2016-08-17 03:43:39.350629] mirserver: Using software cursor
03:43:39 13: [2016-08-17 03:43:39.487812] mirserver: Selected input driver: mir:stub-input (version: 0.25.0)
03:43:39 13: [2016-08-17 03:43:39.491305] mirserver: Mir version 0.25.0
03:43:39 13: [2016-08-17 03:43:39.550944] mirserver: Starting
03:43:39 13: [2016-08-17 03:43:39.748068] mirserver: Using nested cursor
03:43:39 13: [2016-08-17 03:43:39.883865] mirserver: Initial display configuration:
03:43:39 13: [2016-08-17 03:43:39.892727] mirserver: 1.1: VGA 0.0" 0x0mm
03:43:39 13: [2016-08-17 03:43:39.893111] mirserver: Current mode 640x480 60.00Hz
03:43:39 13: [2016-08-17 03:43:39.893402] mirserver: Preferred mode 640x480 60.00Hz
03:43:40 13: [2016-08-17 03:43:39.893657] mirserver: Logical position +0+0
03:43:40 13: [2016-08-17 03:43:39.894277] mirserver: 1.2: VGA 0.0" 0x0mm
03:43:40 13: [2016-08-17 03:43:39.894560] mirserver: Current mode 1920x1080 60.00Hz
03:43:40 13: [2016-08-17 03:43:39.894835] mirserver: Preferred mode 1920x1080 60.00Hz
03:43:40 13: [2016-08-17 03:43:39.895076] mirserver: Logical position +640+0
03:43:40 13: [2016-08-17 03:43:39.969738] mirserver: Mir version 0.25.0
03:43:40 13: /��BUILDDIR��/mir-0.24.0+xenial1865bzr3648/tests/acceptance-tests/test_nested_mir.cpp:915: Failure
03:43:40 13: Mock function called more times than expected - returning directly.
03:43:40 13: Function call: show(@0x7a32ca4 4-byte object <2C-F4 54-04>)
03:43:40 13: Expected: to be called once
03:43:40 13: Actual: called twice - over-saturated and active
03:43:41 13: [2016-08-17 03:43:41.197127] mirserver: Stopping
03:43:41 13: [2016-08-17 03:43:41.444861] mirserver: Stopping
03:43:41 13: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (2311 ms)
[https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/1844/consoleFull]

---

10:12:30 [ RUN ] NestedServer.can_hide_the_host_cursor
10:12:30 [2016-08-16 10:09:28.121527] mirserver: Starting
10:12:30 [2016-08-16 10:09:28.125116] mirserver: Selected driver: mir:stub-graphics (version 0.25.0)
10:12:30 [2016-08-16 10:09:28.141774] mirserver: Using software cursor
10:12:30 [2016-08-16 10:09:28.227193] mirserver: Selected input driver: mir:stub-input (version: 0.25.0)
10:12:30 [2016-08-16 10:09:28.229000] mirserver: Mir version 0.25.0
10:12:30 [2016-08-16 10:09:28.266538] mirserver: Starting
10:12:30 [2016-08-16 10:09:28.389945] mirserver: Using nested cursor
10:12:30 [2016-08-16 10:09:28.464640] mirserver: Initial display configuration:
10:12:30 [2016-08-16 10:09:28.465551] mirserver: 1.1: VGA 0.0" 0x0mm
10:12:30 [2016-08-16 10:09:28.465759] mirserver: Current mode 640x480 60.00Hz
10:12:30 [2016-08-16 10:09:28.465943] mirserver: Preferred mode 640x480 60.00Hz
10:12:30 [2016-08-16 10:09:28.466099] mirserver: Logical position +0+0
10:12:30 [2016-08-16 10:09:28.466435] mirserver: 1....

Read more...

Changed in mir:
importance: Medium → High
assignee: Alan Griffiths (alan-griffiths) → nobody
Daniel van Vugt (vanvugt) wrote :

Today:

08:03:01 [ RUN ] NestedServer.can_hide_the_host_cursor
08:03:01 [2016-08-19 08:00:31.573375] mirserver: Starting
08:03:01 [2016-08-19 08:00:31.578607] mirserver: Selected driver: mir:stub-graphics (version 0.25.0)
08:03:01 [2016-08-19 08:00:31.609135] mirserver: Using software cursor
08:03:01 [2016-08-19 08:00:31.719210] mirserver: Selected input driver: mir:stub-input (version: 0.25.0)
08:03:01 [2016-08-19 08:00:31.720979] mirserver: Mir version 0.25.0
08:03:01 [2016-08-19 08:00:31.757392] mirserver: Starting
08:03:01 [2016-08-19 08:00:31.876302] mirserver: Using nested cursor
08:03:01 [2016-08-19 08:00:31.986040] mirserver: Initial display configuration:
08:03:01 [2016-08-19 08:00:31.986745] mirserver: 1.1: VGA 0.0" 0x0mm
08:03:01 [2016-08-19 08:00:31.987009] mirserver: Current mode 640x480 60.00Hz
08:03:01 [2016-08-19 08:00:31.987249] mirserver: Preferred mode 640x480 60.00Hz
08:03:01 [2016-08-19 08:00:31.987482] mirserver: Logical position +0+0
08:03:01 [2016-08-19 08:00:31.987917] mirserver: 1.2: VGA 0.0" 0x0mm
08:03:01 [2016-08-19 08:00:31.988160] mirserver: Current mode 1920x1080 60.00Hz
08:03:01 [2016-08-19 08:00:31.988399] mirserver: Preferred mode 1920x1080 60.00Hz
08:03:01 [2016-08-19 08:00:31.988603] mirserver: Logical position +640+0
08:03:01 [2016-08-19 08:00:32.017029] mirserver: Mir version 0.25.0
08:03:01 /��BUILDDIR��/mir-0.24.0+yakkety1902bzr3650/tests/acceptance-tests/test_nested_mir.cpp:985: Failure
08:03:01 Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
08:03:01 Expected: to be called once
08:03:01 Actual: never called - unsatisfied and active
08:03:01 [2016-08-19 08:00:37.312892] mirserver: Stopping
08:03:01 [2016-08-19 08:00:37.354039] mirserver: Stopping
08:03:01 [ FAILED ] NestedServer.can_hide_the_host_cursor (5847 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/1881/consoleFull

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/1893/console

11:33:28 11: /��BUILDDIR��/mir-0.24.0+yakkety1919bzr3661/tests/acceptance-tests/test_nested_mir.cpp:915: Failure
11:33:28 11: Mock function called more times than expected - returning directly.
11:33:28 11: Function call: show(@0xddce900 8-byte object <38-37 37-05 00-00 00-00>)
11:33:28 11: Expected: to be called once
11:33:28 11: Actual: called twice - over-saturated and active
11:33:28 11: [2016-08-22 11:33:28.761735] mirserver: Stopping
11:33:28 11: [2016-08-22 11:33:28.820857] mirserver: Stopping
11:33:28 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (766 ms)

Daniel van Vugt (vanvugt) wrote :

And again:

08:28:47 11: /��BUILDDIR��/mir-0.25.0+yakkety1972bzr3672/tests/acceptance-tests/test_nested_mir.cpp:985: Failure
08:28:47 11: Mock function called more times than expected - returning directly.
08:28:47 11: Function call: show(@0xe3e30c0 8-byte object <38-37 37-05 00-00 00-00>)
08:28:47 11: Expected: to be called once
08:28:47 11: Actual: called twice - over-saturated and active
08:28:47 11: [2016-08-26 08:28:47.457279] mirserver: Stopping
08:28:47 11: [2016-08-26 08:28:47.527873] mirserver: Stopping
08:28:47 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (789 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/1945/consoleFull

Daniel van Vugt (vanvugt) wrote :

Today:

08:35:00 11: /��BUILDDIR��/mir-0.25.0+yakkety2001bzr3677/tests/acceptance-tests/test_nested_mir.cpp:985: Failure
08:35:00 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
08:35:00 11: Expected: to be called once
08:35:00 11: Actual: never called - unsatisfied and active
08:35:00 11: [2016-08-29 08:35:00.411856] mirserver: Stopping
08:35:00 11: [2016-08-29 08:35:00.477355] mirserver: Stopping
08:35:00 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (6109 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/1976/consoleFull

Changed in mir:
assignee: nobody → Andreas Pokorny (andreas-pokorny)
status: Triaged → In Progress
milestone: none → 0.25.0

10:09:16 11: [ RUN ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host
10:09:16 11: [2016-09-02 10:09:16.803211] mirserver: Starting
10:09:16 11: [2016-09-02 10:09:16.806958] mirserver: Selected driver: mir:stub-graphics (version 0.25.0)
10:09:16 11: [2016-09-02 10:09:16.827421] mirserver: Using software cursor
10:09:16 11: [2016-09-02 10:09:16.898920] mirserver: Selected input driver: mir:stub-input (version: 0.25.0)
10:09:16 11: [2016-09-02 10:09:16.900838] mirserver: Mir version 0.25.0
10:09:16 11: [2016-09-02 10:09:16.967260] mirserver: Starting
10:09:17 11: [2016-09-02 10:09:17.145085] mirserver: Using nested cursor
10:09:17 11: [2016-09-02 10:09:17.250433] mirserver: Initial display configuration:
10:09:17 11: [2016-09-02 10:09:17.251158] mirserver: 1.1: VGA 0.0" 0x0mm
10:09:17 11: [2016-09-02 10:09:17.254989] mirserver: Current mode 640x480 60.00Hz
10:09:17 11: [2016-09-02 10:09:17.255231] mirserver: Preferred mode 640x480 60.00Hz
10:09:17 11: [2016-09-02 10:09:17.255394] mirserver: Logical position +0+0
10:09:17 11: [2016-09-02 10:09:17.255751] mirserver: 1.2: VGA 0.0" 0x0mm
10:09:17 11: [2016-09-02 10:09:17.255929] mirserver: Current mode 1920x1080 60.00Hz
10:09:17 11: [2016-09-02 10:09:17.256100] mirserver: Preferred mode 1920x1080 60.00Hz
10:09:17 11: [2016-09-02 10:09:17.256248] mirserver: Logical position +640+0
10:09:17 11: [2016-09-02 10:09:17.281207] mirserver: Mir version 0.25.0
10:09:22 11: /��BUILDDIR��/mir-0.25.0+xenial2078bzr3688/tests/acceptance-tests/test_nested_mir.cpp:915: Failure
10:09:22 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
10:09:22 11: Expected: to be called once
10:09:22 11: Actual: never called - unsatisfied and active
10:09:22 11: [2016-09-02 10:09:22.923937] mirserver: Stopping
10:09:23 11: [2016-09-02 10:09:23.057980] mirserver: Stopping
10:09:23 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (6334 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2052/console

Daniel van Vugt (vanvugt) wrote :

And more:

07:39:37 9: /<<BUILDDIR>>/mir-0.25.0+yakkety2128bzr3692/tests/acceptance-tests/test_nested_mir.cpp:985: Failure
07:39:37 9: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
07:39:37 9: Expected: to be called once
07:39:37 9: Actual: never called - unsatisfied and active
07:39:37 9: [2016-09-07 07:39:37.470778] mirserver: Stopping
07:39:37 9: [2016-09-07 07:39:37.586786] mirserver: Stopping
07:39:37 9: [ FAILED ] NestedServer.can_hide_the_host_cursor (5876 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2103/consoleFull

Daniel van Vugt (vanvugt) wrote :

Today:

17:24:41 13: /<<BUILDDIR>>/mir-0.25.0+xenial2147bzr3695/tests/acceptance-tests/test_nested_mir.cpp:985: Failure
17:24:41 13: Mock function called more times than expected - returning directly.
17:24:41 13: Function call: show(@0xd4d1cd0 8-byte object <38-32 30-05 00-00 00-00>)
17:24:41 13: Expected: to be called once
17:24:41 13: Actual: called twice - over-saturated and active
17:24:41 13: [2016-09-08 17:24:41.355569] mirserver: Stopping
17:24:41 13: [2016-09-08 17:24:41.429941] mirserver: Stopping
17:24:41 13: [ FAILED ] NestedServer.can_hide_the_host_cursor (874 ms)
17:24:41 13: [ RUN ] NestedServer.showing_a_0x0_cursor_image_sets_disabled_cursor

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2122/consoleFull

Daniel van Vugt (vanvugt) wrote :

Today:

08:37:05 13: /<<BUILDDIR>>/mir-0.25.0+xenial2155bzr3700/tests/acceptance-tests/test_nested_mir.cpp:915: Failure
08:37:05 13: Mock function called more times than expected - returning directly.
08:37:05 13: Function call: show(@0xc7d0954 4-byte object <FC-0F 56-04>)
08:37:05 13: Expected: to be called once
08:37:05 13: Actual: called twice - over-saturated and active
08:37:05 13: [2016-09-09 08:37:05.501168] mirserver: Stopping
08:37:05 13: [2016-09-09 08:37:05.586878] mirserver: Stopping
08:37:05 13: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (1061 ms)
08:37:05 13: [ RUN ] NestedServer.named_cursor_image_changes_are_forwarded_to_host

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2130/consoleFull

Daniel van Vugt (vanvugt) wrote :

And today:

09:53:38 11: /<<BUILDDIR>>/mir-0.25.0+xenial2186bzr3700/tests/acceptance-tests/test_nested_mir.cpp:929: Failure
09:53:38 11: Mock function called more times than expected - returning directly.
09:53:38 11: Function call: show(@0xa5134bc 4-byte object <FC-0F 56-04>)
09:53:38 11: Expected: to be called once
09:53:38 11: Actual: called twice - over-saturated and active
09:53:38 11: [2016-09-13 09:53:38.253145] mirserver: Stopping
09:53:38 11: [2016-09-13 09:53:38.379350] mirserver: Stopping
09:53:38 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (1157 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2161/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again:

04:48:52 11: /<<BUILDDIR>>/mir-0.25.0+yakkety2191bzr3701/tests/acceptance-tests/test_nested_mir.cpp:915: Failure
04:48:52 11: Mock function called more times than expected - returning directly.
04:48:52 11: Function call: show(@0xdefe7b0 8-byte object <C8-5D 38-05 00-00 00-00>)
04:48:52 11: Expected: to be called once
04:48:52 11: Actual: called twice - over-saturated and active
04:48:53 11: [2016-09-14 04:48:53.022597] mirserver: Stopping
04:48:53 11: [2016-09-14 04:48:53.082619] mirserver: Stopping
04:48:53 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (784 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2166/consoleFull

Daniel van Vugt (vanvugt) wrote :

Another day another failure:

07:56:47 11: /<<BUILDDIR>>/mir-0.25.0+xenial2195bzr3701/tests/acceptance-tests/test_nested_mir.cpp:985: Failure
07:56:47 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
07:56:47 11: Expected: to be called once
07:56:47 11: Actual: never called - unsatisfied and active
07:56:47 11: [2016-09-14 07:56:47.967598] mirserver: Stopping
07:56:48 11: [2016-09-14 07:56:48.150890] mirserver: Stopping
07:56:48 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (6587 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2170/consoleFull

Daniel van Vugt (vanvugt) wrote :

And:

07:28:52 11: /<<BUILDDIR>>/mir-0.25.0+xenial2194bzr3692/tests/acceptance-tests/test_nested_mir.cpp:985: Failure
07:28:52 11: Mock function called more times than expected - returning directly.
07:28:52 11: Function call: show(@0xa7aec2c 4-byte object <64-10 56-04>)
07:28:52 11: Expected: to be called once
07:28:52 11: Actual: called twice - over-saturated and active
07:28:52 11: [2016-09-14 07:28:52.229719] mirserver: Stopping
07:28:52 11: [2016-09-14 07:28:52.316129] mirserver: Stopping
07:28:52 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (933 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2169/consoleFull

tags: added: ci-blocker
Daniel van Vugt (vanvugt) wrote :

Also:

01:59:27 9: /<<BUILDDIR>>/mir-0.25.0+yakkety2205bzr3711/tests/acceptance-tests/test_nested_mir.cpp:929: Failure
01:59:27 9: Mock function called more times than expected - returning directly.
01:59:27 9: Function call: show(@0xeb72f50 8-byte object <08-8E 38-05 00-00 00-00>)
01:59:27 9: Expected: to be called once
01:59:27 9: Actual: called twice - over-saturated and active
01:59:28 9: [2016-09-15 01:59:28.230294] mirserver: Stopping
01:59:28 9: [2016-09-15 01:59:28.446694] mirserver: Stopping
01:59:28 9: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (1549 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2179/consoleFull

Daniel van Vugt (vanvugt) wrote :

And:

04:16:54 11: /<<BUILDDIR>>/mir-0.25.0+yakkety2207bzr3704/tests/acceptance-tests/test_nested_mir.cpp:915: Failure
04:16:54 11: Mock function called more times than expected - returning directly.
04:16:54 11: Function call: show(@0xefca590 8-byte object <08-E3 45-05 00-00 00-00>)
04:16:54 11: Expected: to be called once
04:16:54 11: Actual: called twice - over-saturated and active
04:16:54 11: [2016-09-15 04:16:54.703342] mirserver: Stopping
04:16:54 11: [2016-09-15 04:16:54.804557] mirserver: Stopping
04:16:54 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (739 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2181/consoleFull

15:09:21 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host
15:09:21 11: [ FAILED ] NestedServer.can_hide_the_host_cursor

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2192/consoleFull

Daniel van Vugt (vanvugt) wrote :

Today we have:

18:25:02 11: /<<BUILDDIR>>/mir-0.25.0+xenial2225bzr3701/tests/acceptance-tests/test_nested_mir.cpp:915: Failure
18:25:02 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
18:25:02 11: Expected: to be called once
18:25:02 11: Actual: never called - unsatisfied and active
18:25:02 11: [2016-09-15 18:25:02.283246] mirserver: Stopping
18:25:02 11: [2016-09-15 18:25:02.436184] mirserver: Stopping
18:25:02 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (6088 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2199/consoleFull

Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.25.0

Changed in mir:
status: In Progress → Fix Committed
Changed in mir:
status: Fix Committed → In Progress

This still needs fixing but the problem should happen less frequent now.
Removing myself from the problem for now.

Changed in mir:
assignee: Andreas Pokorny (andreas-pokorny) → nobody

just happened again .. I will try to apply the workaround that seemed to have helped in named_cursor_changes.. to the animated cursor tests..

Changed in mir:
assignee: nobody → Andreas Pokorny (andreas-pokorny)
Daniel van Vugt (vanvugt) wrote :

And again:

04:43:53 13: /<<BUILDDIR>>/mir-0.25.0+xenial2243bzr3707/tests/acceptance-tests/test_nested_mir.cpp:1042: Failure
04:43:53 13: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
04:43:53 13: Expected: to be called at least once
04:43:53 13: Actual: never called - unsatisfied and active
04:43:54 13: [2016-09-19 04:43:54.009342] mirserver: Stopping
04:43:54 13: [2016-09-19 04:43:54.089986] mirserver: Stopping
04:43:54 13: [ FAILED ] NestedServer.can_hide_the_host_cursor (6338 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2217/consoleFull

Daniel van Vugt (vanvugt) wrote :

And again:

06:32:32 11: /<<BUILDDIR>>/mir-0.25.0+xenial2247bzr3710/tests/acceptance-tests/test_nested_mir.cpp:968: Failure
06:32:32 11: Value of: condition.wait_for(timeout)
06:32:32 11: Actual: false
06:32:32 11: Expected: true
06:32:32 11: [2016-09-19 06:32:32.886363] mirserver: Stopping
06:32:33 11: [2016-09-19 06:32:33.142688] mirserver: Stopping
06:32:33 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (7068 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2221/consoleFull

Daniel van Vugt (vanvugt) wrote :

This bug still happens with high frequency. Today:

02:47:15 11: /<<BUILDDIR>>/mir-0.25.0+xenial2267bzr3711/tests/acceptance-tests/test_nested_mir.cpp:1042: Failure
02:47:15 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
02:47:15 11: Expected: to be called at least once
02:47:15 11: Actual: never called - unsatisfied and active
02:47:15 11: [2016-09-20 02:47:15.741658] mirserver: Stopping
02:47:15 11: [2016-09-20 02:47:15.878700] mirserver: Stopping
02:47:15 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (7158 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2241/consoleFull

Daniel van Vugt (vanvugt) wrote :

And:

02:34:51 9: /<<BUILDDIR>>/mir-0.25.0+yakkety2267bzr3711/tests/acceptance-tests/test_nested_mir.cpp:1042: Failure
02:34:51 9: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
02:34:51 9: Expected: to be called at least once
02:34:51 9: Actual: never called - unsatisfied and active
02:34:51 9: [2016-09-20 02:34:51.560384] mirserver: Stopping
02:34:51 9: [2016-09-20 02:34:51.699715] mirserver: Stopping
02:34:51 9: [ FAILED ] NestedServer.can_hide_the_host_cursor (7135 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2241/consoleFull

Daniel van Vugt (vanvugt) wrote :

Also:

04:08:20 11: /<<BUILDDIR>>/mir-0.25.0+xenial2279bzr3711/tests/acceptance-tests/test_nested_mir.cpp:1042: Failure
04:08:20 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
04:08:20 11: Expected: to be called at least once
04:08:20 11: Actual: never called - unsatisfied and active
04:08:20 11: [2016-09-21 04:08:20.841273] mirserver: Stopping
04:08:21 11: [2016-09-21 04:08:20.994345] mirserver: Stopping
04:08:21 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (6787 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2253/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again:

19:26:04 11: /<<BUILDDIR>>/mir-0.25.0+xenial2311bzr3716/tests/acceptance-tests/test_nested_mir.cpp:1042: Failure
19:26:04 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
19:26:04 11: Expected: to be called at least once
19:26:04 11: Actual: never called - unsatisfied and active
19:26:04 11: [2016-09-23 19:26:04.252860] mirserver: Stopping
19:26:04 11: [2016-09-23 19:26:04.452276] mirserver: Stopping
19:26:04 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (7400 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2285/consoleFull

Daniel van Vugt (vanvugt) wrote :

Today we see:

03:29:52 11: /<<BUILDDIR>>/mir-0.25.0+xenial2363bzr3684/tests/acceptance-tests/test_nested_mir.cpp:1042: Failure
03:29:52 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
03:29:52 11: Expected: to be called at least once
03:29:52 11: Actual: never called - unsatisfied and active
03:29:52 11: [2016-09-28 03:29:52.420559] mirserver: Stopping
03:29:52 11: [2016-09-28 03:29:52.592814] mirserver: Stopping
03:29:52 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (7088 ms)
03:29:52 11: [ RUN ] NestedServer.showing_a_0x0_cursor_image_sets_disabled_cursor

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2337/consoleFull

Another...

17:03:38 11: [2016-09-28 17:03:37.926419] mirserver: Mir version 0.25.0
17:03:43 11: /<<BUILDDIR>>/mir-0.25.0+xenial2383bzr3731/tests/acceptance-tests/test_nested_mir.cpp:968: Failure
17:03:43 11: Value of: condition.wait_for(timeout)
17:03:43 11: Actual: false
17:03:43 11: Expected: true
17:03:43 11: [2016-09-28 17:03:43.931393] mirserver: Stopping
17:03:44 11: [2016-09-28 17:03:44.126756] mirserver: Stopping
17:03:44 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (7070 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2357/consoleFull

Daniel van Vugt (vanvugt) wrote :

Double-feature today:

18:43:23 11: /<<BUILDDIR>>/mir-0.25.0+xenial2386bzr3728/tests/acceptance-tests/test_nested_mir.cpp:968: Failure
18:43:23 11: Value of: condition.wait_for(timeout)
18:43:23 11: Actual: false
18:43:23 11: Expected: true
18:43:23 11: [2016-09-28 18:43:23.282540] mirserver: Stopping
18:43:23 11: [2016-09-28 18:43:23.428771] mirserver: Stopping
18:43:23 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (6347 ms)

18:43:30 11: /<<BUILDDIR>>/mir-0.25.0+xenial2386bzr3728/tests/acceptance-tests/test_nested_mir.cpp:1042: Failure
18:43:30 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
18:43:30 11: Expected: to be called at least once
18:43:30 11: Actual: never called - unsatisfied and active
18:43:30 11: [2016-09-28 18:43:30.862756] mirserver: Stopping
18:43:31 11: [2016-09-28 18:43:30.979645] mirserver: Stopping
18:43:31 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (6448 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2360/consoleFull

Daniel van Vugt (vanvugt) wrote :

And today:

10:47:22 9: /<<BUILDDIR>>/mir-0.25.0+yakkety2410bzr3730/tests/acceptance-tests/test_nested_mir.cpp:968: Failure
10:47:22 9: Value of: condition.wait_for(timeout)
10:47:22 9: Actual: false
10:47:22 9: Expected: true
10:47:23 9: [2016-09-30 10:47:23.221423] mirserver: Stopping
10:47:23 9: [2016-09-30 10:47:23.441076] mirserver: Stopping
10:47:23 9: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (7757 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2384/consoleFull

Daniel van Vugt (vanvugt) wrote :

I wonder if the fix for bug 1628828 has solved this...

Daniel van Vugt (vanvugt) wrote :

Nope. Less frequent but still happening today:

17:49:29 11: /<<BUILDDIR>>/mir-0.25.0+xenial2530bzr3675/tests/acceptance-tests/test_nested_mir.cpp:974: Failure
17:49:29 11: Value of: condition.wait_for(timeout)
17:49:29 11: Actual: false
17:49:29 11: Expected: true
17:49:30 11: [2016-10-11 17:49:30.143700] mirserver: Stopping
17:49:30 11: [2016-10-11 17:49:30.380800] mirserver: Stopping
17:49:30 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (6976 ms)
17:49:30 11: [ RUN ] NestedServer.named_cursor_image_changes_are_forwarded_to_host

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2504/consoleFull

Daniel van Vugt (vanvugt) wrote :

Twice in one day now.

04:49:03 9: /<<BUILDDIR>>/mir-0.25.0+yakkety2537bzr3756/tests/acceptance-tests/test_nested_mir.cpp:1048: Failure
04:49:03 9: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
04:49:03 9: Expected: to be called at least once
04:49:03 9: Actual: never called - unsatisfied and active
04:49:03 9: [2016-10-12 04:49:03.507689] mirserver: Stopping
04:49:03 9: [2016-10-12 04:49:03.641675] mirserver: Stopping
04:49:03 9: [ FAILED ] NestedServer.can_hide_the_host_cursor (6548 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2511/consoleFull

Daniel van Vugt (vanvugt) wrote :

Thrice in one day.

07:56:50 9: /<<BUILDDIR>>/mir-0.25.0+yakkety2545bzr3675/tests/acceptance-tests/test_nested_mir.cpp:1048: Failure
07:56:50 9: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
07:56:50 9: Expected: to be called at least once
07:56:50 9: Actual: never called - unsatisfied and active
07:56:50 9: [2016-10-12 07:56:50.753679] mirserver: Stopping
07:56:50 9: [2016-10-12 07:56:50.889586] mirserver: Stopping
07:56:50 9: [ FAILED ] NestedServer.can_hide_the_host_cursor (6747 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2519/consoleFull

Four times a day:

09:22:13 11: [ RUN ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host
09:22:13 11: [2016-10-12 09:22:12.933351] mirserver: Starting
09:22:13 11: [2016-10-12 09:22:12.934944] mirserver: Selected driver: mir:stub-graphics (version 0.25.0)
09:22:13 11: [2016-10-12 09:22:12.949693] mirserver: Using software cursor
09:22:13 11: [2016-10-12 09:22:12.999745] mirserver: Selected input driver: mir:stub-input (version: 0.25.0)
09:22:13 11: [2016-10-12 09:22:13.000489] mirserver: Mir version 0.25.0
09:22:13 11: [2016-10-12 09:22:13.225579] mirserver: Starting
09:22:13 11: [2016-10-12 09:22:13.402071] mirserver: Using nested cursor
09:22:13 11: [2016-10-12 09:22:13.457839] mirserver: Initial display configuration:
09:22:13 11: [2016-10-12 09:22:13.458221] mirserver: Output 1: VGA connected, used
09:22:13 11: [2016-10-12 09:22:13.458457] mirserver: Physical size 0.0" 0x0mm
09:22:13 11: [2016-10-12 09:22:13.458696] mirserver: Current mode 640x480 60.00Hz
09:22:13 11: [2016-10-12 09:22:13.458932] mirserver: Preferred mode 640x480 60.00Hz
09:22:13 11: [2016-10-12 09:22:13.459133] mirserver: Logical position +0+0
09:22:13 11: [2016-10-12 09:22:13.459375] mirserver: Output 2: VGA connected, used
09:22:13 11: [2016-10-12 09:22:13.459616] mirserver: Physical size 0.0" 0x0mm
09:22:13 11: [2016-10-12 09:22:13.459847] mirserver: Current mode 1920x1080 60.00Hz
09:22:13 11: [2016-10-12 09:22:13.460078] mirserver: Preferred mode 1920x1080 60.00Hz
09:22:13 11: [2016-10-12 09:22:13.460280] mirserver: Logical position +640+0
09:22:13 11: [2016-10-12 09:22:13.476518] mirserver: Mir version 0.25.0
09:22:18 11: /<<BUILDDIR>>/mir-0.25.0+xenial2547bzr3757/tests/acceptance-tests/test_nested_mir.cpp:974: Failure
09:22:18 11: Value of: condition.wait_for(timeout)
09:22:18 11: Actual: false
09:22:18 11: Expected: true
09:22:19 11: [2016-10-12 09:22:19.042136] mirserver: Stopping
09:22:19 11: [2016-10-12 09:22:19.171286] mirserver: Stopping
09:22:19 11: [ FAILED ] NestedServer.animated_cursor_image_changes_are_forwarded_to_host (6323 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2521/consoleFull

Changed in mir:
assignee: Andreas Pokorny (andreas-pokorny) → nobody
Changed in mir:
assignee: nobody → Alexandros Frantzis (afrantzis)
Daniel van Vugt (vanvugt) wrote :

And now:

08:31:19 /<<BUILDDIR>>/mir-0.25.0+xenial2572bzr3762/tests/acceptance-tests/test_nested_mir.cpp:1048: Failure
08:31:19 Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
08:31:19 Expected: to be called at least once
08:31:19 Actual: never called - unsatisfied and active
08:31:19 [2016-10-13 08:28:57.617119] mirserver: Stopping
08:31:19 [2016-10-13 08:28:57.729590] mirserver: Stopping
08:31:19 [ FAILED ] NestedServer.can_hide_the_host_cursor (6777 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2546/consoleFull

Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.25.0

Changed in mir:
status: In Progress → Fix Committed
Daniel van Vugt (vanvugt) wrote :

Still happening right now...

14:56:03 11: /<<BUILDDIR>>/mir-0.25.0+xenial2629bzr3771/tests/acceptance-tests/test_nested_mir.cpp:1011: Failure
14:56:03 11: Value of: condition.wait_for(long_timeout)
14:56:03 11: Actual: false
14:56:03 11: Expected: true
14:56:03 11: [2016-10-19 14:56:03.691229] mirserver: Stopping
14:56:03 11: [2016-10-19 14:56:03.812337] mirserver: Stopping
14:56:03 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (11491 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2603/consoleFull

Changed in mir:
status: Fix Committed → Triaged
Daniel van Vugt (vanvugt) wrote :

Today:

04:52:29 11: /<<BUILDDIR>>/mir-0.25.0+xenial2664bzr3757/tests/acceptance-tests/test_nested_mir.cpp:1058: Failure
04:52:29 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
04:52:29 11: Expected: to be called at least once
04:52:29 11: Actual: never called - unsatisfied and active
04:52:29 11: [2016-10-21 04:52:29.450966] mirserver: Stopping
04:52:29 11: [2016-10-21 04:52:29.579714] mirserver: Stopping
04:52:29 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (6609 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2638/consoleFull

Daniel van Vugt (vanvugt) wrote :

And:

13:36:36 11: /<<BUILDDIR>>/mir-0.25.0+xenial2691bzr3771/tests/acceptance-tests/test_nested_mir.cpp:1011: Failure
13:36:36 11: Value of: condition.wait_for(long_timeout)
13:36:36 11: Actual: false
13:36:36 11: Expected: true
13:36:37 11: [2016-10-25 13:36:37.080470] mirserver: Stopping
13:36:37 11: [2016-10-25 13:36:37.207193] mirserver: Stopping
13:36:37 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (11502 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2665/consoleFull

Changed in mir:
milestone: 0.25.0 → 0.26.0
Daniel van Vugt (vanvugt) wrote :

Again today:

12:00:49 11: /<<BUILDDIR>>/mir-0.25.0+yakkety2854bzr3823/tests/acceptance-tests/test_nested_mir.cpp:1011: Failure
12:00:49 11: Value of: condition.wait_for(long_timeout)
12:00:49 11: Actual: false
12:00:49 11: Expected: true
12:00:50 11: [2016-11-14 12:00:50.278565] mirserver: Stopping
12:00:50 11: [2016-11-14 12:00:50.390507] mirserver: Stopping
12:00:50 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12011 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/2826/consoleFull

Daniel van Vugt (vanvugt) wrote :

Today:

07:04:01 /<<BUILDDIR>>/mir-0.25.0+xenial2901bzr3826/tests/acceptance-tests/test_nested_mir.cpp:1011: Failure
07:04:01 Value of: condition.wait_for(long_timeout)
07:04:01 Actual: false
07:04:01 Expected: true
07:04:01 [2016-11-17 06:58:44.333496] mirserver: Stopping
07:04:01 [2016-11-17 06:58:44.478508] mirserver: Stopping
07:04:01 [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12554 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2873/consoleFull

Daniel van Vugt (vanvugt) wrote :

And today:

04:27:07 11: /<<BUILDDIR>>/mir-0.25.0+yakkety2938bzr3834/tests/acceptance-tests/test_nested_mir.cpp:1011: Failure
04:27:07 11: Value of: condition.wait_for(long_timeout)
04:27:07 11: Actual: false
04:27:07 11: Expected: true
04:27:08 11: [2016-11-21 04:27:08.029690] mirserver: Stopping
04:27:08 11: [2016-11-21 04:27:08.192676] mirserver: Stopping
04:27:08 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12249 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/2910/consoleFull

Daniel van Vugt (vanvugt) wrote :

Today:

04:27:21 11: /<<BUILDDIR>>/mir-0.25.0+xenial3060bzr3847/tests/acceptance-tests/test_nested_mir.cpp:1012: Failure
04:27:21 11: Value of: condition.wait_for(long_timeout)
04:27:21 11: Actual: false
04:27:21 11: Expected: true
04:27:21 11: [2016-12-02 04:27:21.388491] mirserver: Stopping
04:27:21 11: [2016-12-02 04:27:21.544663] mirserver: Stopping
04:27:21 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12810 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3032/consoleFull

Interesting the vast majority of these failures are that one test case.

Daniel van Vugt (vanvugt) wrote :

And one hour later...

05:35:35 11: /<<BUILDDIR>>/mir-0.25.0+xenial3062bzr3848/tests/acceptance-tests/test_nested_mir.cpp:1012: Failure
05:35:35 11: Value of: condition.wait_for(long_timeout)
05:35:35 11: Actual: false
05:35:35 11: Expected: true
05:35:35 11: [2016-12-02 05:35:35.811794] mirserver: Stopping
05:35:36 11: [2016-12-02 05:35:36.018402] mirserver: Stopping
05:35:36 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (13837 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3034/consoleFull

Daniel van Vugt (vanvugt) wrote :

And today:

14:00:41 11: /<<BUILDDIR>>/mir-0.25.0+xenial3073bzr3843/tests/acceptance-tests/test_nested_mir.cpp:1012: Failure
14:00:41 11: Value of: condition.wait_for(long_timeout)
14:00:41 11: Actual: false
14:00:41 11: Expected: true
14:00:41 11: [2016-12-02 14:00:41.933654] mirserver: Stopping
14:00:42 11: [2016-12-02 14:00:42.147277] mirserver: Stopping
14:00:42 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12839 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3045/consoleFull

Daniel van Vugt (vanvugt) wrote :

Today:

04:42:05 11: /<<BUILDDIR>>/mir-0.25.0+xenial3110bzr3851/tests/acceptance-tests/test_nested_mir.cpp:1012: Failure
04:42:05 11: Value of: condition.wait_for(long_timeout)
04:42:05 11: Actual: false
04:42:05 11: Expected: true
04:42:05 11: [2016-12-08 04:42:05.742224] mirserver: Stopping
04:42:05 11: [2016-12-08 04:42:05.880356] mirserver: Stopping
04:42:05 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12409 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3081/consoleFull

Daniel van Vugt (vanvugt) wrote :

And again:

09:21:38 9: /<<BUILDDIR>>/mir-0.25.0+yakkety3187bzr3883/tests/acceptance-tests/test_nested_mir.cpp:1012: Failure
09:21:38 9: Value of: condition.wait_for(long_timeout)
09:21:38 9: Actual: false
09:21:38 9: Expected: true
09:21:39 9: [2016-12-15 09:21:39.287396] mirserver: Stopping
09:21:39 9: [2016-12-15 09:21:39.454188] mirserver: Stopping
09:21:39 9: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (13035 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/3157/consoleFull

summary: - [ FAILED ] NestedServer.*_cursor_*
+ [ FAILED ] NestedServer.*_cursor_* (usually
+ NestedServer.named_cursor_image_changes_are_forwarded_to_host)
Daniel van Vugt (vanvugt) wrote :

Again:

17:52:56 11: /<<BUILDDIR>>/mir-0.26.0+xenial3234bzr3890/tests/acceptance-tests/test_nested_mir.cpp:1012: Failure
17:52:56 11: Value of: condition.wait_for(long_timeout)
17:52:56 11: Actual: false
17:52:56 11: Expected: true
17:52:56 11: [2016-12-19 17:52:56.996063] mirserver: Stopping
17:52:57 11: [2016-12-19 17:52:57.123621] mirserver: Stopping
17:52:57 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12290 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3204/consoleFull

Daniel van Vugt (vanvugt) wrote :

And again:

08:55:35 11: /<<BUILDDIR>>/mir-0.26.0+xenial3278bzr3897/tests/acceptance-tests/test_nested_mir.cpp:1012: Failure
08:55:35 11: Value of: condition.wait_for(long_timeout)
08:55:35 11: Actual: false
08:55:35 11: Expected: true
08:55:35 11: [2016-12-21 08:55:35.778526] mirserver: Stopping
08:55:35 11: [2016-12-21 08:55:35.977311] mirserver: Stopping
08:55:36 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12931 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3248/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again:

04:32:26 11: /<<BUILDDIR>>/mir-0.26.0+xenial3361bzr3907/tests/acceptance-tests/test_nested_mir.cpp:1014: Failure
04:32:26 11: Value of: condition.wait_for(long_timeout)
04:32:26 11: Actual: false
04:32:26 11: Expected: true
04:32:26 11: [2017-01-06 04:32:26.756355] mirserver: Stopping
04:32:26 11: [2017-01-06 04:32:26.885037] mirserver: Stopping
04:32:26 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12521 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3331/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again

06:53:05 11: /<<BUILDDIR>>/mir-0.26.0+yakkety3365bzr3911/tests/acceptance-tests/test_nested_mir.cpp:1014: Failure
06:53:05 11: Value of: condition.wait_for(long_timeout)
06:53:05 11: Actual: false
06:53:05 11: Expected: true
06:53:05 11: [2017-01-06 06:53:05.635007] mirserver: Stopping
06:53:05 11: [2017-01-06 06:53:05.772975] mirserver: Stopping
06:53:05 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12593 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/3335/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again

07:00:45 11: /<<BUILDDIR>>/mir-0.26.0+xenial3365bzr3911/tests/acceptance-tests/test_nested_mir.cpp:1014: Failure
07:00:45 11: Value of: condition.wait_for(long_timeout)
07:00:45 11: Actual: false
07:00:45 11: Expected: true
07:00:45 11: [2017-01-06 07:00:45.808629] mirserver: Stopping
07:00:46 11: [2017-01-06 07:00:46.101676] mirserver: Stopping
07:00:46 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (14403 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3335/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again:

09:15:01 11: /<<BUILDDIR>>/mir-0.26.0+xenial3370bzr3912/tests/acceptance-tests/test_nested_mir.cpp:1014: Failure
09:15:02 11: Value of: condition.wait_for(long_timeout)
09:15:02 11: Actual: false
09:15:02 11: Expected: true
09:15:03 11: [2017-01-06 09:15:03.297240] mirserver: Stopping
09:15:03 11: [2017-01-06 09:15:03.914027] mirserver: Stopping
09:15:04 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (21393 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3340/consoleFull

Download full text (3.9 KiB)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3393/consoleFull

16:28:37 11: [ RUN ] NestedServer.can_hide_the_host_cursor
16:28:37 11: [2017-01-09 16:28:37.606592] mirserver: Starting
16:28:37 11: [2017-01-09 16:28:37.610809] mirserver: Selected driver: mir:stub-graphics (version 0.26.0)
16:28:37 11: [2017-01-09 16:28:37.926910] mirserver: Using software cursor
16:28:38 11: [2017-01-09 16:28:38.011263] mirserver: Selected input driver: mir:stub-input (version: 0.26.0)
16:28:38 11: [2017-01-09 16:28:38.013654] mirserver: Mir version 0.26.0
16:28:38 11: [2017-01-09 16:28:38.043008] mirserver: Initial display configuration:
16:28:38 11: [2017-01-09 16:28:38.043394] mirserver: Output 1: VGA connected, used
16:28:38 11: [2017-01-09 16:28:38.043675] mirserver: Physical size 0.0" 0x0mm
16:28:38 11: [2017-01-09 16:28:38.043933] mirserver: Power is on
16:28:38 11: [2017-01-09 16:28:38.044150] mirserver: Current mode 640x480 60.00Hz
16:28:38 11: [2017-01-09 16:28:38.044332] mirserver: Preferred mode 640x480 60.00Hz
16:28:38 11: [2017-01-09 16:28:38.044480] mirserver: Orientation normal
16:28:38 11: [2017-01-09 16:28:38.044638] mirserver: Logical size 640x480
16:28:38 11: [2017-01-09 16:28:38.044791] mirserver: Logical position +0+0
16:28:38 11: [2017-01-09 16:28:38.044948] mirserver: Output 2: VGA connected, used
16:28:38 11: [2017-01-09 16:28:38.045109] mirserver: Physical size 0.0" 0x0mm
16:28:38 11: [2017-01-09 16:28:38.045251] mirserver: Power is on
16:28:38 11: [2017-01-09 16:28:38.045420] mirserver: Current mode 1920x1080 60.00Hz
16:28:38 11: [2017-01-09 16:28:38.045642] mirserver: Preferred mode 1920x1080 60.00Hz
16:28:38 11: [2017-01-09 16:28:38.045788] mirserver: Orientation normal
16:28:38 11: [2017-01-09 16:28:38.045936] mirserver: Logical size 1920x1080
16:28:38 11: [2017-01-09 16:28:38.046082] mirserver: Logical position +640+0
16:28:38 11: [2017-01-09 16:28:38.174880] mirserver: Starting
16:28:39 11: [2017-01-09 16:28:39.348221] mirserver: Using nested cursor
16:28:39 11: [2017-01-09 16:28:39.619133] mirserver: Mir version 0.26.0
16:28:39 11: [2017-01-09 16:28:39.930591] mirserver: Initial display configuration:
16:28:39 11: [2017-01-09 16:28:39.931873] mirserver: Output 1: VGA connected, used
16:28:39 11: [2017-01-09 16:28:39.932182] mirserver: Physical size 0.0" 0x0mm
16:28:39 11: [2017-01-09 16:28:39.932338] mirserver: Power is on
16:28:40 11: [2017-01-09 16:28:39.932533] mirserver: Current mode 640x480 60.00Hz
16:28:40 11: [2017-01-09 16:28:39.932783] mirserver: Preferred mode 640x480 60.00Hz
16:28:40 11: [2017-01-09 16:28:39.932999] mirserver: Orientation normal
16:28:40 11: [2017-01-09 16:28:39.933231] mirserver: Logical size 640x480
16:28:40 11: [2017-01-09 16:28:39.933451] mirserver: Logical position +0+0
16:28:40 11: [2017-01-09 16:28:39.934232] mirserver: Output 2: VGA connected, used
16:28:40 11: [2017-01-09 16:28:39.934493] mirserver: Physical size 0.0" 0x0mm
16:28:40 11: [2017-01-09 16:28:39.934706] mirserver: Power is on
16:28:40 11: [2017-01-09 16:28:39.934958] mirserver: Current mode 1920x1080 60.00Hz
16:28:40 11: [2017-01-09 16:28:39.935218] mirserver: ...

Read more...

Changed in mir:
assignee: Alexandros Frantzis (afrantzis) → Mir development team (mir-team)
status: Triaged → In Progress
Daniel van Vugt (vanvugt) wrote :

Again:

07:36:16 9: /<<BUILDDIR>>/mir-0.26.0+zesty3529bzr3917/tests/acceptance-tests/test_nested_mir.cpp:1013: Failure
07:36:16 9: Value of: condition.wait_for(long_timeout)
07:36:16 9: Actual: false
07:36:16 9: Expected: true
07:36:17 9: [2017-01-12 07:36:17.436598] mirserver: Stopping
07:36:17 9: [2017-01-12 07:36:17.685764] mirserver: Stopping
07:36:17 9: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (13271 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=zesty/3499/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again:

08:11:05 11: /<<BUILDDIR>>/mir-0.26.0+xenial3530bzr3922/tests/acceptance-tests/test_nested_mir.cpp:1013: Failure
08:11:05 11: Value of: condition.wait_for(long_timeout)
08:11:05 11: Actual: false
08:11:05 11: Expected: true
08:11:06 11: [2017-01-12 08:11:06.072342] mirserver: Stopping
08:11:06 11: [2017-01-12 08:11:06.334204] mirserver: Stopping
08:11:06 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (13431 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3500/consoleFull

Changed in mir:
milestone: 0.26.0 → 1.0.0
Daniel van Vugt (vanvugt) wrote :

Again:

19:14:16 11: /<<BUILDDIR>>/mir-0.26.0+xenial3544bzr3918/tests/acceptance-tests/test_nested_mir.cpp:1059: Failure
19:14:16 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
19:14:16 11: Expected: to be called at least once
19:14:16 11: Actual: never called - unsatisfied and active
19:14:16 11: [2017-01-13 19:14:16.334623] mirserver: Stopping
19:14:16 11: [2017-01-13 19:14:16.493360] mirserver: Stopping
19:14:16 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (9060 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3514/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again:

16:23:12 11: /<<BUILDDIR>>/mir-0.26.0+xenial3538bzr3934/tests/acceptance-tests/test_nested_mir.cpp:1011: Failure
16:23:12 11: Value of: condition.wait_for(long_timeout)
16:23:12 11: Actual: false
16:23:12 11: Expected: true
16:23:12 11: [2017-01-13 16:23:12.297242] mirserver: Stopping
16:23:12 11: [2017-01-13 16:23:12.451502] mirserver: Stopping
16:23:12 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12871 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3508/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again:

04:47:21 11: /<<BUILDDIR>>/mir-0.26.0+xenial3578bzr3927/tests/acceptance-tests/test_nested_mir.cpp:1011: Failure
04:47:21 11: Value of: condition.wait_for(long_timeout)
04:47:21 11: Actual: false
04:47:21 11: Expected: true
04:47:22 11: [2017-01-16 04:47:22.398895] mirserver: Stopping
04:47:22 11: [2017-01-16 04:47:22.677677] mirserver: Stopping
04:47:22 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (14956 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3547/consoleFull

Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 1.0.0

Changed in mir:
status: In Progress → Fix Committed
Changed in mir:
milestone: 1.0.0 → 0.26.0
Daniel van Vugt (vanvugt) wrote :

Again:

01:36:10 11: /<<BUILDDIR>>/mir-0.26.0+xenial3751bzr3967/tests/acceptance-tests/test_nested_mir.cpp:1092: Failure
01:36:10 11: Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
01:36:10 11: Expected: to be called at least once
01:36:10 11: Actual: never called - unsatisfied and active
01:36:10 11: [2017-01-21 01:36:10.788221] mirserver: Stopping
01:36:11 11: [2017-01-21 01:36:11.124432] mirserver: Stopping
01:36:11 11: [ FAILED ] NestedServer.can_hide_the_host_cursor (12952 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3709/consoleFull

Changed in mir:
status: Fix Committed → Triaged
milestone: 0.26.0 → 1.0.0
Daniel van Vugt (vanvugt) wrote :

Again:

03:36:39 11: /<<BUILDDIR>>/mir-0.26.0+zesty3840bzr3987/tests/acceptance-tests/test_nested_mir.cpp:903: Failure
03:36:39 11: Value of: condition.wait_for(long_timeout)
03:36:39 11: Actual: false
03:36:39 11: Expected: true
03:36:39 11: [2017-01-25 03:36:39.478446] mirserver: Stopping
03:36:39 11: [2017-01-25 03:36:39.714303] mirserver: Stopping
03:36:39 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (12925 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=zesty/3798/consoleFull

Daniel van Vugt (vanvugt) wrote :

And again:

06:14:30 11: /<<BUILDDIR>>/mir-0.26.0+xenial3843bzr3896/tests/acceptance-tests/test_nested_mir.cpp:903: Failure
06:14:30 11: Value of: condition.wait_for(long_timeout)
06:14:30 11: Actual: false
06:14:30 11: Expected: true
06:14:30 11: [2017-01-25 06:14:30.802592] mirserver: Stopping
06:14:30 11: [2017-01-25 06:14:30.892765] mirserver: Stopping
06:14:30 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (13161 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3801/consoleFull

Daniel van Vugt (vanvugt) wrote :

This is still our top CI failure overall, but it appears to have stopped failing (completely?) from around 25 January. Wonder why...

It's back!

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=zesty/4174/consoleFull

15:23:01 /<<BUILDDIR>>/mir-0.26.0+zesty4224bzr4063/tests/acceptance-tests/test_nested_mir.cpp:1026: Failure
15:23:01 Actual function call count doesn't match EXPECT_CALL(*mock_cursor, show(_))...
15:23:01 Expected: to be called at least once
15:23:01 Actual: never called - unsatisfied and active
15:23:01 [2017-03-02 15:18:31.629214] mirserver: Stopping
15:23:01 [2017-03-02 15:18:31.729794] mirserver: Stopping
15:23:01 [ FAILED ] NestedServer.can_hide_the_host_cursor (7530 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=zesty/4175/consoleFull

15:59:33 11: /<<BUILDDIR>>/mir-0.26.0+zesty4225bzr4064/tests/acceptance-tests/test_nested_mir.cpp:978: Failure
15:59:33 11: Value of: condition.wait_for(long_timeout)
15:59:33 11: Actual: false
15:59:33 11: Expected: true
15:59:33 11: [2017-03-02 15:59:33.571670] mirserver: Stopping
15:59:33 11: [2017-03-02 15:59:33.645416] mirserver: Stopping
15:59:33 11: [ FAILED ] NestedServer.named_cursor_image_changes_are_forwarded_to_host (
...

Changed in mir:
milestone: 0.27.0 → 0.28.0

Still reproducible following by the description.

Changed in mir:
assignee: Mir development team (mir-team) → nobody
Michał Sawicz (saviq) wrote :

Syncing task from Mir.

Changed in mir (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in mir (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Alan Griffiths (alan-griffiths)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.